%global modulename make-fetch-happen

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-make-fetch-happen
Version:        4.0.1
Release:        1%{?dist}
Summary:        Opinionated, caching, retrying fetch client

License:        ISC
URL:            https://github.com/zkat/make-fetch-happen#readme
Source0:        https://registry.npmjs.org/make-fetch-happen/-/make-fetch-happen-4.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(agentkeepalive) >= 3.4.1 with npmlib(agentkeepalive) < 4.0.0))
BuildRequires:  ((npmlib(cacache) >= 11.0.1 with npmlib(cacache) < 12.0.0))
BuildRequires:  ((npmlib(http-cache-semantics) >= 3.8.1 with npmlib(http-cache-semantics) < 4.0.0))
BuildRequires:  ((npmlib(http-proxy-agent) >= 2.1.0 with npmlib(http-proxy-agent) < 3.0.0))
BuildRequires:  ((npmlib(https-proxy-agent) >= 2.2.1 with npmlib(https-proxy-agent) < 3.0.0))
BuildRequires:  ((npmlib(lru-cache) >= 4.1.2 with npmlib(lru-cache) < 5.0.0))
BuildRequires:  ((npmlib(mississippi) >= 3.0.0 with npmlib(mississippi) < 4.0.0))
BuildRequires:  ((npmlib(node-fetch-npm) >= 2.0.2 with npmlib(node-fetch-npm) < 3.0.0))
BuildRequires:  ((npmlib(promise-retry) >= 1.1.1 with npmlib(promise-retry) < 2.0.0))
BuildRequires:  ((npmlib(socks-proxy-agent) >= 4.0.0 with npmlib(socks-proxy-agent) < 5.0.0))
BuildRequires:  ((npmlib(ssri) >= 6.0.0 with npmlib(ssri) < 7.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Opinionated, caching, retrying fetch client

%package 4.0.1
Summary:        Opinionated, caching, retrying fetch client


%description 4.0.1
Opinionated, caching, retrying fetch client

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr agent.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr cache.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr warning.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 4.0.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 4.0.1-1
- Package automatically generated by npm2srpm
